#pragma once

#include <string>

#include "DllDefines.h"

#include "DebugStucture.h"

class IODLLCLASS CDebugSetting
{
public:
    CDebugSetting(const std::string& strVarName = "MITL_BENCH_DEBUG_HARDWARE");
    ~CDebugSetting();

    void Load(const std::string& strVarName);

    const nsDebug::stDebug& Get();

private:
    std::string getEnv(const std::string& strVarName);

    std::string m_strVarName;
    nsDebug::stDebug m_debug;
};

